

(defun c:din28011 ( / dcl_id breite hoehe X1 X2 X3 X4 Y1 Y2 Y3 Y4 M1 M2 M3
                   P1 P2 P3 P4 P5 P6
                   xstart ystart startpkt r1 r2 zw1 zw2 zw3 obfang)

  (if (< (setq dcl_id (load_dialog "ddkorb")) 0)
         (progn
          (alert "DCL - Datei nicht gefunden")
          (exit)
         ) ; Ende progn
  ) ; Ende if

  (if (not (new_dialog "din28011" dcl_id)) (exit))

  (set_tile "da" "1000")
  (set_tile "bhoehe" "50")
  (set_tile "wandd" "3")
  (setq da 1000)
  (setq bhoehe 50)
  (setq wandd 3)


  (action_tile "cancel" "(done_dialog)")
  (action_tile "da" "(setq da (atof $Value))")
  (action_tile "bhoehe" "(setq bhoehe (atof $Value))")
  (action_tile "wandd" "(setq wandd (atof $Value))")

  (setq breite (dimx_tile "bild")
        hoehe  (dimy_tile "bild"))
  (start_image "bild")
  (slide_image 0 0 breite hoehe "din28011")
  (end_image)
  (start_dialog)
  (unload_dialog dcl_id)

  (setq obfang (getvar "OSMODE"))
  (setvar "OSMODE" 0)
  (setq startpkt (getpoint "\nEinfgepunkt whlen: "))
  (setq xstart (car startpkt))
  (setq ystart (car (cdr startpkt)))
  (setq r1 da)
  (setq r2 (* 0.1 da))
  (setq r1x xstart)
  (setq zw1 (- r1 r2))
  (setq zw2 (- (/ da 2) wandd r2))
  (setq zw3 (sqrt (- (expt zw1 2) (expt zw2 2))))
  (setq r1y (- ystart zw3))
  (setq dx1 (* (/ zw2 zw1) r1))
  (setq dy1 (* (/ zw3 zw1) r1))
  (setq dx2 (* (/ zw2 zw1) (+ r1 wandd)))
  (setq dy2 (* (/ zw3 zw1) (+ r1 wandd)))
  (setq X1 (+ xstart (- (/ da 2) wandd)))
  (setq Y1 ystart)
  (setq X2 (+ r1x dx1))
  (setq Y2 (+ r1y dy1))
  (setq X3 (- r1x dx1))
  (setq Y3 Y2)
  (setq X4 (- xstart (- (/ da 2) wandd)))
  (setq Y4 Y1)
  (setq p1 (list X1 Y1 0.0))
  (setq p2 (list X2 Y2 0.0))
  (setq p3 (list X3 Y3 0.0))
  (setq p4 (list X4 Y4 0.0))
  (setq M1 (list (+ xstart zw2) ystart 0.0))
  (setq M2 (list r1x r1y 0.0))
  (setq M3 (list (- xstart zw2) ystart 0.0))
  (setq p5 (list X1 (- Y1 bhoehe) 0.0))
  (setq p6 (list X4 (- Y4 bhoehe) 0.0))
  (command "_arc" p1 "_c" M1 p2)
  (command "_arc" p2 "_c" M2 p3)
  (command "_arc" p3 "_c" M3 p4)
  (command "_line" p1 p5 "")
  (command "_line" p4 p6 "")


  (setq X1 (+ xstart (/ da 2)))
  (setq Y1 ystart)
  (setq X2 (+ r1x dx2))
  (setq Y2 (+ r1y dy2))
  (setq X3 (- r1x dx2))
  (setq Y3 Y2)
  (setq X4 (- xstart (/ da 2)))
  (setq Y4 Y1)
  (setq p1 (list X1 Y1 0.0))
  (setq p2 (list X2 Y2 0.0))
  (setq p3 (list X3 Y3 0.0))
  (setq p4 (list X4 Y4 0.0))
  (setq p5 (list X1 (- Y1 bhoehe) 0.0))
  (setq p6 (list X4 (- Y4 bhoehe) 0.0))
  (command "_arc" p1 "_c" M1 p2)
  (command "_arc" p2 "_c" M2 p3)
  (command "_arc" p3 "_c" M3 p4)
  (command "_line" p1 p5 "")
  (command "_line" p4 p6 "")
  (command "_line" p1 p4 "")
  (command "_line" p5 p6 "")
  (setvar "OSMODE" obfang) 
 (princ)
)

(princ "starten mit din28011")
